<?php

include_spip('inc/presentation');
include_spip('inc/securiser_action');
include_spip('base/abstract_sql');

function inc_recuperer_liste_versements_dist() {
    $lister_versements_servis = $_REQUEST['lister_versements_servis'];
    $where = array();
    $checked = '';
    if ( !$lister_versements_servis ) {
        $where[] = '(servi = 0)';
    }
    else {
        $checked = " checked='checked' ";
    }
    $inputs = "<input name='lister_versements_servis' type='checkbox' $checked /> <label for='lister_versements_servis'>"._T('gopaypal:inclure_servis')."</label><hr />";
    
    $rows = spip_abstract_select(
        array(
            'spip_gopaypal_versements.id_versement', 
            'spip_gopaypal_versements.id_auteur', 
            'spip_gopaypal_versements.item_number', 
            '(spip_gopaypal_versements.versement_ht + spip_gopaypal_versements.versement_taxes) as versement', 
            'spip_gopaypal_versements.versement_charges', 
            'spip_gopaypal_versements.date_versement', 
            'spip_gopaypal_versements.servi', 
            'spip_gopaypal_versements.id_devise', 
            'spip_auteurs.nom'),
        " spip_gopaypal_versements LEFT JOIN spip_auteurs ON (spip_gopaypal_versements.id_auteur = spip_auteurs.id_auteur) ",
        $where
        );
    $inputs .= "<table><tr><th></th><th>item</th><th>par</th><th>ttc</th><th>charges</th><th>en</th><th>le</th></tr>";
    while ($row = spip_abstract_fetch($rows) ) {
        $checked = '';
        if ( $row['servi'] ) {
            $checked = " checked='checked' disabled='disabled' ";
        }
        $inputs .= "<tr><td><input type='checkbox' $checked name='versements[]' value='{$row['id_versement']}' /></td>"
            ."<td>".$row['item_number']."</td>"
            ."<td>".$row['id_auteur'].":".$row['nom']."</td>"
            ."<td>".round($row['versement'],2)."</td>"
            ."<td>".$row['versement_charges']."</td>"
            ."<td>".$row['id_devise']."</td>"
            ."<td>".$row['date_versement']."</td>"
            ."</tr>";
    }
    $inputs .= "</table>";
	
    $id = 'versements';
    $action = 'recuperer_liste_versements';
    $res = debut_cadre_trait_couleur('', true, '', _T('gopaypal:admin_params_liste_versements'))
        . "<form method='post' onsubmit=\"return AjaxSqueeze(this,'$action-$id','',event);\" action='"._DIR_PLUGIN_GOPAYPAL."action_exec_editer_versements.php'>"
        . $inputs . '<hr />'
        . "<input type='submit' />"
        . securiser_action_auteur($action, $id, '', '')
        . '</form>'
        . fin_cadre_trait_couleur(true);
    
    /* $res = debut_cadre_trait_couleur('', true, '', _T('avendre:admin_params_liste_versements'))
        . ajax_action_post($action, $id, $script = 'av_editer','',$inputs, '', '')
        . fin_cadre_trait_couleur(true);*/

    return ajax_action_greffe("$action-$id", '', $res);
}

?>